%global pkg_name        Unix-Syslog
%global pkg_version     1.0
%global rpm_pkg_version 1.0
%global rpm_pkg_release 1.n0i.4

Summary:       Interface to syslog functions in a C-library
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MH/MHARNISCH/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module provides an interface to the system logger syslogd(8) via
Perl's XSUBs. The implementation attempts to resemble the native
libc-functions of your system, so that anyone being familiar with syslog.h
should be able to use this module right away.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Artistic Changes README


%changelog
* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 1.0-1.n0i.4
- version 1.0

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.99-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.99-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.99-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
